﻿//----------------------------------------------------
// SimpleDlg.cs (c) 2019 by Enes Siljak
//----------------------------------------------------

using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;
using se = XenAlati.ScreenExtensions;

namespace XenAlati
{
    public class SimpleDlg
    {
        public static DialogResult ShowSelectOptionDialog(string title, string promptText, List<string> items, ref string value)
        {
            Form form = new Form();
            Label label = new Label();
            ComboBox comboBox = new ComboBox();
            Button buttonOk = new Button();
            Button buttonCancel = new Button();

            form.Text = title;
            label.Text = promptText;
            foreach (string st in items)
                comboBox.Items.Add(st);
            comboBox.DropDownStyle = ComboBoxStyle.DropDownList;
            comboBox.SelectedIndex = 0;

            buttonOk.Text = "OK";
            buttonCancel.Text = "Cancel";
            buttonOk.DialogResult = DialogResult.OK;
            buttonCancel.DialogResult = DialogResult.Cancel;

            label.SetBounds(se.gx(9), se.gx(20), se.gx(372), se.gx(13));
            comboBox.SetBounds(se.gx(12), se.gx(36), se.gx(372), se.gx(20));
            buttonOk.SetBounds(se.gx(228), se.gx(72), se.gx(75), se.gx(23));
            buttonCancel.SetBounds(se.gx(309), se.gx(72), se.gx(75), se.gx(23));

            label.AutoSize = true;
            comboBox.Anchor = comboBox.Anchor | AnchorStyles.Right;
            buttonOk.Anchor = AnchorStyles.Bottom | AnchorStyles.Right;
            buttonCancel.Anchor = AnchorStyles.Bottom | AnchorStyles.Right;

            form.ClientSize = new Size(se.gx(396), se.gx(107));
            form.Controls.AddRange(new Control[] { label, comboBox, buttonOk, buttonCancel });
            form.ClientSize = new Size(Math.Max(se.gx(300), label.Right + se.gx(10)), form.ClientSize.Height);
            form.FormBorderStyle = FormBorderStyle.FixedDialog;
            form.StartPosition = FormStartPosition.CenterScreen;
            form.MinimizeBox = false;
            form.MaximizeBox = false;
            form.AcceptButton = buttonOk;
            form.CancelButton = buttonCancel;

            DialogResult res = Autodesk.AutoCAD.ApplicationServices.Application.ShowModalDialog(null, form, false);
            value = comboBox.Text;
            return res;
        }

        public static DialogResult ShowInputBoxDialog(string title, string promptText, ref string value)
        {
            Form form = new Form();
            Label label = new Label();
            TextBox textBox = new TextBox();
            Button buttonOk = new Button();
            Button buttonCancel = new Button();

            form.Text = title;
            label.Text = promptText;
            textBox.Text = value;

            buttonOk.Text = "OK";
            buttonCancel.Text = "Cancel";
            buttonOk.DialogResult = DialogResult.OK;
            buttonCancel.DialogResult = DialogResult.Cancel;

            label.SetBounds(se.gx(9), se.gx(20), se.gx(372), se.gx(13));
            textBox.SetBounds(se.gx(12), se.gx(36), se.gx(372), se.gx(20));
            buttonOk.SetBounds(se.gx(228), se.gx(72), se.gx(75), se.gx(23));
            buttonCancel.SetBounds(se.gx(309), se.gx(72), se.gx(75), se.gx(23));

            label.AutoSize = true;
            textBox.Anchor = textBox.Anchor | AnchorStyles.Right;
            buttonOk.Anchor = AnchorStyles.Bottom | AnchorStyles.Right;
            buttonCancel.Anchor = AnchorStyles.Bottom | AnchorStyles.Right;

            form.ClientSize = new Size(se.gx(396), se.gx(107));
            form.Controls.AddRange(new Control[] { label, textBox, buttonOk, buttonCancel });
            form.ClientSize = new Size(Math.Max(se.gx(300), label.Right + se.gx(10)), form.ClientSize.Height);
            form.FormBorderStyle = FormBorderStyle.FixedDialog;
            form.StartPosition = FormStartPosition.CenterScreen;
            form.MinimizeBox = false;
            form.MaximizeBox = false;
            form.AcceptButton = buttonOk;
            form.CancelButton = buttonCancel;

            DialogResult res = Autodesk.AutoCAD.ApplicationServices.Application.ShowModalDialog(null, form, false);
            value = textBox.Text;
            return res;
        }
    }
}
